japa.parser.ast.expr

## Class LiteralExpr

- java.lang.Object
- - japa.parser.ast.Node
  - - japa.parser.ast.expr.Expression
    - - japa.parser.ast.expr.LiteralExpr

Direct Known Subclasses:
  BooleanLiteralExpr, NullLiteralExpr, StringLiteralExpr

    public abstract class LiteralExpr
    extends Expression

Author:
  Julio Vilmar Gesser

### Field Summary

### Fields inherited from class japa.parser.ast.Node

`ABSOLUTE_BEGIN_LINE, ABSOLUTE_END_LINE`

### Constructor Summary

Constructors
Constructor and Description
`LiteralExpr()`
`LiteralExpr(int beginLine, int beginColumn, int endLine, int endColumn)`

### Method Summary

### Methods inherited from class japa.parser.ast.Node

`accept, accept, addOrphanComment, contains, equals, getAllContainedComments, getBeginColumn, getBeginLine, getChildrenNodes, getComment, getData, getEndColumn, getEndLine, getOrphanComments, getParentNode, hashCode, isPositionedAfter, isPositionedBefore, setAsParentNodeOf, setAsParentNodeOf, setBeginColumn, setBeginLine, setComment, setData, setEndColumn, setEndLine, setParentNode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### LiteralExpr

    public LiteralExpr()

#### LiteralExpr

    public LiteralExpr(int beginLine,
                       int beginColumn,
                       int endLine,
                       int endColumn)